Preview newsletter channel
GET
/cms/channel/{channel_id}/preview
const url = 'https://api.example.com/cms/channel/1/preview';const options = {method: 'GET', headers: {'API-Key': '<API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.example.com/cms/channel/1/preview \ --header 'API-Key: <API-Key>'Returns a preview of a newsletter or email channel
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”channel_id
required
integer
Responses
Section titled “Responses”Preview HTML and channel data
Media typeapplication/json
object
error
boolean
html
string
data
Channel
API representation of a channel
object
id
Channel ID
integer format: int64
name
Channel name
string
image
Channel image
string
description
Channel description
string
objectType
Object type
string
configuration
Channel configuration
object
Example generated
{ "error": true, "html": "example", "data": { "id": 1, "name": "example", "image": "example", "description": "example", "objectType": "example", "configuration": {} }}